import { defineComponent as a, useCssVars as w, unref as e, toRefs as E, openBlock as t, createElementBlock as o, createElementVNode as S, toDisplayString as r } from "vue";
const B = { class: "go-text-box" }, R = { class: "content" }, V = { key: 1 }, W = a({ name: "ETextCommon" }), q = /* @__PURE__ */ a({
  ...W,
  props: {
    chartConfig: {
      type: Object,
      required: !0
    }
  },
  setup(s) {
    const d = s;
    w((v) => ({
      "66c44ee9": e(x),
      "48f14565": e(p),
      "6ad856a4": `${e(_)}px ${e(u)}px`,
      "100d87e4": e(l) + "px",
      "3d98d5c2": e(f) + "px",
      f6e4dd20: e(C),
      "126c2694": e(h),
      "591acafc": e(g) + "px",
      "37b8c8e0": e(m) + "px",
      "5a923f68": e(k),
      eacc41b4: e(b)
    }));
    const {
      linkHead: i,
      link: n,
      fontColor: p,
      fontSize: l,
      letterSpacing: f,
      paddingY: _,
      paddingX: u,
      textAlign: x,
      borderWidth: g,
      borderColor: k,
      borderRadius: m,
      writingMode: C,
      backgroundColor: b,
      fontWeight: h,
      dataset: c
    } = E(d.chartConfig.option), y = () => {
      window.open(i.value + n.value);
    };
    return (v, $) => (t(), o("div", B, [
      S("div", R, [
        e(n) ? (t(), o("span", {
          key: 0,
          style: { cursor: "pointer" },
          onClick: y
        }, r(e(c)), 1)) : (t(), o("span", V, r(e(c)), 1))
      ])
    ]));
  }
});
export {
  q as default
};
